Breaking changes in 5.0

This section discusses the changes that you need to be aware of when migrating your application to Elasticsearch 5.0.

Migration Plugin

The elasticsearch-migration plugin (compatible with Elasticsearch 2.3.0 and above) will help you to find issues that need to be addressed when upgrading to Elasticsearch 5.0.

Indices created before 5.0

Elasticsearch 5.0 can read indices created in version 2.0 or above. An Elasticsearch 5.0 node will not start in the presence of indices created in a version of Elasticsearch before 2.0.

Reindex indices from Elasticseach 1.x or before

Indices created in Elasticsearch 1.x or before will need to be reindexed with Elasticsearch 2.x or 5.x in order to be readable by Elasticsearch 5.x. It is not sufficient to use the upgrade API. See Reindex to upgrade for more details.

The first time Elasticsearch 5.0 starts, it will automatically rename index folders to use the index UUID instead of the index name. If you are using shadow replicas with shared data folders, first start a single node with access to all data folders, and let it rename all index folders before starting other nodes in the cluster.

Also see: